<?php

define('_IN_JOHNCMS', 1);

$headmod = 'trofei';
$textl = 'trofei';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

switch ($act){
default:
if ($rights<7) {
            echo 'Только для администраторов!';
            break;
        }
echo "<div class='phdr'>Награждение!</div>";
$id_club=(int)$_GET['id'];
$medal=mysql_query("SELECT * FROM `medal` DESC");
$row=mysql_fetch_array($medal);
$cena=mysql_query("SELECT * FROM `medal` ORDER BY `id`");


while($row=mysql_fetch_assoc($cena)){
    echo '<img src="'.$row['logo'].'" alt=""/><br/>';
echo'&#187; <a href="go.php?act=buy&amp;id='.$row['id'].'&amp;pr='.$id_club.'&amp;logo='.$row['logo'].'&amp;opis='.$row['opis'].'">[Выбрать]</a><br /> '.$row['opis'].'<br/>';
}

require_once ("../incfiles/end.php");
break;



case 'buy':
$id=(int)$_GET['pr'];
$pr=(int)$_GET['pr'];
if(!$id || !$pr){echo 'Пустые параметры! (id неверный) '.$id.'| '.$pr.'';break;};
$logo=$_GET['logo'];
$opis=$_GET['opis'];
if(!$logo || !$opis){echo 'Пустые параметры! (лого/опис неверный) '.$logo.' | '.$opis.'';break;};

mysql_query("INSERT INTO `umedal` (`uid`,`logo`,`opis`)VALUES('$id','$logo','$opis')");

echo 'Выполнено! Вы наградили трофеем клуб!<br/>';}
echo '<div class="msg"><a href="../man/index.php">В игру</a></div>';
break;
?>